package cn.com.poc.ocr.convert;

import cn.com.poc.ocr.model.BizFileOcrCacheModel;
import cn.com.poc.ocr.entity.BizFileOcrCacheEntity;
import cn.com.poc.ocr.dto.BizFileOcrCacheDto;


public class BizFileOcrCacheConvert {

    public static BizFileOcrCacheEntity modelToEntity(BizFileOcrCacheModel model) {
        BizFileOcrCacheEntity entity = new BizFileOcrCacheEntity();
        entity.setId(model.getId());
        entity.setMd5(model.getMd5());
        entity.setParseStatus(model.getParseStatus());
        entity.setFileUrl(model.getFileUrl());
        entity.setMdFileUrl(model.getMdFileUrl());
        entity.setJsonFileUrl(model.getJsonFileUrl());
        entity.setIsDeleted(model.getIsDeleted());
        entity.setCreator(model.getCreator());
        entity.setCreatedTime(model.getCreatedTime());
        entity.setModifier(model.getModifier());
        entity.setModifiedTime(model.getModifiedTime());
        entity.setSysVersion(model.getSysVersion());
        return entity;
    }

    public static BizFileOcrCacheModel entityToModel(BizFileOcrCacheEntity entity) {
        BizFileOcrCacheModel model = new BizFileOcrCacheModel();
        model.setId(entity.getId());
        model.setMd5(entity.getMd5());
        model.setFileUrl(entity.getFileUrl());
        model.setParseStatus(entity.getParseStatus());
        model.setMdFileUrl(entity.getMdFileUrl());
        model.setJsonFileUrl(entity.getJsonFileUrl());
        model.setIsDeleted(entity.getIsDeleted());
        model.setCreator(entity.getCreator());
        model.setCreatedTime(entity.getCreatedTime());
        model.setModifier(entity.getModifier());
        model.setModifiedTime(entity.getModifiedTime());
        model.setSysVersion(entity.getSysVersion());
        return model;
    }

    public static BizFileOcrCacheDto entityToDto(BizFileOcrCacheEntity entity) {
        BizFileOcrCacheDto dto = new BizFileOcrCacheDto();
        dto.setId(entity.getId());
        dto.setMd5(entity.getMd5());
        dto.setFileUrl(entity.getFileUrl());
        dto.setParseStatus(entity.getParseStatus());
        dto.setMdFileUrl(entity.getMdFileUrl());
        dto.setJsonFileUrl(entity.getJsonFileUrl());
        dto.setIsDeleted(entity.getIsDeleted());
        dto.setCreator(entity.getCreator());
        dto.setCreatedTime(entity.getCreatedTime());
        dto.setModifier(entity.getModifier());
        dto.setModifiedTime(entity.getModifiedTime());
        dto.setSysVersion(entity.getSysVersion());
        return dto;
    }

    public static BizFileOcrCacheEntity dtoToEntity(BizFileOcrCacheDto dto) {
        BizFileOcrCacheEntity entity = new BizFileOcrCacheEntity();
        entity.setId(dto.getId());
        entity.setMd5(dto.getMd5());
        entity.setFileUrl(dto.getFileUrl());
        entity.setParseStatus(dto.getParseStatus());
        entity.setMdFileUrl(dto.getMdFileUrl());
        entity.setJsonFileUrl(dto.getJsonFileUrl());
        entity.setIsDeleted(dto.getIsDeleted());
        entity.setCreator(dto.getCreator());
        entity.setCreatedTime(dto.getCreatedTime());
        entity.setModifier(dto.getModifier());
        entity.setModifiedTime(dto.getModifiedTime());
        entity.setSysVersion(dto.getSysVersion());
        return entity;
    }
}